#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%bcond_without	tests		# don't run tests

%include	/usr/lib/rpm/macros.java
%define		srcname		commons-cli
Summary:	Commons CLI - API for working with command line
Summary(pl.UTF-8):	Commons CLI - API do pracy z linią poleceń
Name:		java-commons-cli
Version:	1.1
Release:	3
License:	Apache v2
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/cli/source/commons-cli-%{version}-src.tar.gz
# Source0-md5:	ccc1aa194132e2387557bbb7f65391f4
Patch0:		%{name}-target.patch
URL:		http://commons.apache.org/cli/
BuildRequires:	ant
BuildRequires:	java(jaxp_parser_impl)
BuildRequires:	java-commons-lang
BuildRequires:	java-commons-logging
BuildRequires:	jdk >= 1.4
BuildRequires:	jpackage-utils
%{?with_tests:BuildRequires:	java-junit}
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	jre >= 1.4
Provides:	jakarta-commons-cli
Obsoletes:	jakarta-commons-cli
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons CLI provides a simple API for working with the command line
arguments and options.

%description -l pl.UTF-8
Commons CLI dostarcza prostego API do pracy z argumentami i opcjami
linii poleceń.

%package javadoc
Summary:	Commons CLI documentation
Summary(pl.UTF-8):	Dokumentacja do Commons CLI
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-cli-doc

%description javadoc
Commons CLI documantation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons CLI.

%prep
%setup -q -n commons-cli-%{version}-src
%patch0 -p1

%build
required_jars="commons-lang"
CLASSPATH=$(build-classpath $required_jars)

%ant dist \
	-Dnoget="true"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install dist/commons-cli-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf commons-cli-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-cli.jar

%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENSE.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sun Aug 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-cli.git;a=log;h=master

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 7a04f3a
- updated junit BR

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> f5e9309
- don't force specific jdk
- updated java APIs deps

* Sun Sep 20 2009 pawelz <pawelz@pld-linux.org> ae048ee
- per distro jdk bconds
- standard java BRs
- rewrapped descriptions using proper encoding
- there is no need to export CLASSPATH since %ant macro passes it to ant
- unified directories for javadoc
- correct license info (it is Apache License v 2.0, not 1.1)
- rel 3

* Sat Jan 24 2009 Jakub Bogusz <qboosh@pld-linux.org> 96e9c95
- unified

* Sat Jan 24 2009 pawelz <pawelz@pld-linux.org> 0702bba
- patch renamed to match spec name

* Sat Jan 24 2009 pawelz <pawelz@pld-linux.org> b5cd841
- renamed to java-commons-cli-target.patch

* Sat Jan 24 2009 pawelz <pawelz@pld-linux.org> c9bc60e
- renamed from jakarta-commons-cli-target.patch

* Sat Jan 24 2009 pawelz <pawelz@pld-linux.org> e1b3bcc
- new names for dependencies

* Sat Jan 24 2009 pawelz <pawelz@pld-linux.org> 050068b
- it is no longer part of jakarta project (fixed descriptions)

* Sun Nov 23 2008 Elan Ruusamäe <glen@pld-linux.org> 15be059
- renamed to java-commons-cli.spec

* Wed Nov 28 2007 Elan Ruusamäe <glen@pld-linux.org> 06289d9
- tests need junit
- compile with target 1.5

* Wed Nov 28 2007 Elan Ruusamäe <glen@pld-linux.org> 0e2282d
- allow specify jdk target/source; default to 1.5

* Sun Nov 25 2007 Elan Ruusamäe <glen@pld-linux.org> b06e64e
- update to 1.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e1d2175
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e1e4bfa
- converted to UTF-8

* Tue Dec 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 58e6db6
- comment fix

* Tue Dec 05 2006 Elan Ruusamäe <glen@pld-linux.org> 6ac95ab
- fix build; rel 2

* Wed Jul 05 2006 czarny <czarny@pld-linux.org> 337b58a
- common-lang.jar build fix

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> bda060d
- s/jakarta-ant/ant/ in BR

* Mon May 15 2006 ankry <ankry@pld-linux.org> fff4656
- cosmetics

